/* copyright (c)2013 Oskar Schirmer <oskar@scara.com> */
#include "print.h"
#include "reception.h"
#include "resource.h"
#include "uart.h"

void testchannelmirror(resource control)
{
  unsigned char b;
  resource log;
  log = chanend_book();
  chanend_destination(log, chanend_cr_request(log, cr_uart_tx));
  printstr(log, "Mirror at ");
  printhex(log, control, 8);
  println(log);
  chanend_listen(control);
  while (!chanend_nomore_byte(control)) {
    b = chanend_read_byte(control);
    chanend_write_byte(control, b);
  }
  chanend_hangup(control);
  chanend_free(log);
}
